import { Generator as GeneratorBase } from '@fresha/openapi-codegen-utils';
import { ActionsSignatures } from './ActionsSignatures';
import { APIConfig } from './APIConfig';
import { TestFile } from './TestFile';
import type { Context } from '../context';
import type { SourceFile } from 'ts-morph';
/**
 * Root generator. It doesn't generate the code itself, instead delegating work to its parts.
 */
export declare class Generator extends GeneratorBase<Context> {
    readonly sourceFile: SourceFile;
    protected apiConfig: APIConfig;
    protected actionsSignatures: ActionsSignatures;
    protected testFile: TestFile;
    constructor(context: Context);
    protected collectData(): void;
    protected generateCode(): void;
}
//# sourceMappingURL=Generator.d.ts.map