import { TypeLiteralNode } from 'ts-morph';
import type { OperationTemplate } from './operations';
import type { Context } from '../context';
import type { OperationModel, SchemaModel } from '@fresha/openapi-model/build/3.0.3';
export declare class ActionSignature {
    readonly context: Context;
    readonly operation: OperationModel;
    readonly template: OperationTemplate;
    readonly name: string;
    readonly requestTypeName: string;
    readonly responseTypeName: string;
    constructor(context: Context, name: string, operation: OperationModel, template: OperationTemplate);
    generateCode(type: TypeLiteralNode): void;
    protected addRequestBodyParams(argsParamType: TypeLiteralNode, schema: SchemaModel): void;
}
//# sourceMappingURL=ActionSignature.d.ts.map